#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../hw-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy hw-gateway "
cp ../hw-gateway/target/hw-gateway.jar ./ruoyi/gateway/jar

echo "begin copy hw-auth "
cp ../hw-auth/target/hw-auth.jar ./ruoyi/auth/jar

echo "begin copy hw-visual "
cp ../hw-visual/hw-monitor/target/hw-visual-monitor.jar  ./ruoyi/visual/monitor/jar

echo "begin copy hw-modules-system "
cp ../hw-modules/hw-system/target/hw-modules-system.jar ./ruoyi/modules/system/jar

echo "begin copy hw-modules-file "
cp ../hw-modules/hw-file/target/hw-modules-file.jar ./ruoyi/modules/file/jar

echo "begin copy hw-modules-job "
cp ../hw-modules/hw-job/target/hw-modules-job.jar ./ruoyi/modules/job/jar

echo "begin copy hw-modules-gen "
cp ../hw-modules/hw-gen/target/hw-modules-gen.jar ./ruoyi/modules/gen/jar

